import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增分销活动模板
    distributiontempsave(data) {
        return request({
            url: '/distribution/temp/save',
            method: 'post',
            data
        })
    },
    //修改分销活动模板
    editdistributiontemp(data) {
        return request({
            url: '/distribution/temp/edit',
            method: 'post',
            data
        })
    },
    //启用-禁用
    editdistributiontempupdatestatus(data) {
        return request({
            url: '/distribution/temp/update/status',
            method: 'post',
            data
        })
    },
    //导出【请填写功能名称】列表
    distributiontempexport(data) {
        return request({
            url: '/distribution/temp/export',
            method: 'get',
            params: data
        })
    },
    //查询分销活动模板列表
    distributiontemplist(data) {
        return request({
            url: '/distribution/temp/list',
            method: 'get',
            params: data
        })
    },
    //活动模板发布
    distributiontemppublishdata(data) {
        return request({
            url: `/distribution/temp/publish/` + data,
            method: 'get',
        })
    },
    //获取分销活动模板详细信息
    distributiontempdata(data) {
        return request({
            url: `/distribution/temp/` + data,
            method: 'get',
        })
    },
    //查询系统商户列表
    systemtenantlist(data) {
        return request({
            url: '/system/tenant/list',
            method: 'get',
            params: data
        })
    },
    //分销业务员列表
    distributiontempsellerlist(data) {
        return request({
            url: '/distribution/temp/seller/list',
            method: 'get',
            params: data
        })
    },
    //机构所有分销订单
    distributiontemporgorder(data) {
        return request({
            url: '/distribution/temp/org/order',
            method: 'get',
            params: data
        })
    },
    //机构分销排行榜
    distributiontempsortnotice(data) {
        return request({
            url: '/distribution/temp/sort/notice',
            method: 'get',
            params: data
        })
    },
    //佣金列表
    distributiontempcashlist(data) {
        return request({
            url: '/distribution/temp/cash/list',
            method: 'get',
            params: data
        })
    },
    //佣金详情
    distributiontempcashdetail(data) {
        return request({
            url: '/distribution/temp/cash/detail',
            method: 'get',
            params: data
        })
    },
    //机构管理列表
    systemtenantlist(data) {
        return request({
            url: '/system/tenant/list',
            method: 'get',
            params: data
        })
    },
    //机构Id
    systemtenantbankId(data) {
        return request({
            url: '/system/tenant/bank/' + data,
            method: 'get',
        })
    },
    //批量删除机构
    systemtenantdeletetop(data) {
        return request({
            url: '/system/tenant/delete/top',
            method: 'post',
            data
        })
    },
}